Update template

Change a template draft. Live email keeps using the published version until you publish again.

PATCHhttps://api.cresca.xyz/api/v1/templates/:id

Requires a full-access key. Send only the fields you want to change; they take the same values as in Create template. Send null for alias to remove it.

Updates change the draft only. Emails keep using the published version until you publish again.

Path parameters

idstringrequired

The template id or alias.

Example

Request
curl -X PATCH 'https://api.cresca.xyz/api/v1/templates/password-reset' \
  -H 'Authorization: Bearer cr_live_xxxxxxxxx' \
  -H 'Content-Type: application/json' \
  -d '{
  "subject": "Reset your Acme password"
}'
Response 200
{
  "object": "template",
  "id": "6713b1f4c2a94e0012ab34cd"
}